ALAS-2021-1516


Amazon Linux AMI Security Advisory: ALAS-2021-1516
Advisory Release Date: 2021-07-08 18:38 Pacific
Advisory Updated Date: 2021-07-12 21:51 Pacific
Severity: Medium

Issue Overview:

A denial-of-service (DoS) flaw was identified in the Linux kernel due to an incorrect memory barrier in xt_replace_table in net/netfilter/x_tables.c in the netfilter subsystem. (CVE-2021-29650)

A flaw was found in kernel/bpf/verifier.c in BPF in the Linux kernel. An incorrect limit is enforced for pointer arithmetic operations which can be abused to perform out-of-bounds reads and writes in kernel memory, leading to local privilege escalation. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2021-33200)


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system.

New Packages:
i686:
    kernel-tools-debuginfo-4.14.238-125.421.amzn1.i686
    kernel-headers-4.14.238-125.421.amzn1.i686
    perf-4.14.238-125.421.amzn1.i686
    kernel-4.14.238-125.421.amzn1.i686
    kernel-debuginfo-4.14.238-125.421.amzn1.i686
    kernel-tools-4.14.238-125.421.amzn1.i686
    kernel-devel-4.14.238-125.421.amzn1.i686
    kernel-tools-devel-4.14.238-125.421.amzn1.i686
    kernel-debuginfo-common-i686-4.14.238-125.421.amzn1.i686
    perf-debuginfo-4.14.238-125.421.amzn1.i686

src:
    kernel-4.14.238-125.421.amzn1.src

x86_64:
    perf-4.14.238-125.421.amzn1.x86_64
    kernel-tools-debuginfo-4.14.238-125.421.amzn1.x86_64
    kernel-4.14.238-125.421.amzn1.x86_64
    kernel-headers-4.14.238-125.421.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.14.238-125.421.amzn1.x86_64
    kernel-tools-devel-4.14.238-125.421.amzn1.x86_64
    kernel-debuginfo-4.14.238-125.421.amzn1.x86_64
    kernel-devel-4.14.238-125.421.amzn1.x86_64
    perf-debuginfo-4.14.238-125.421.amzn1.x86_64
    kernel-tools-4.14.238-125.421.amzn1.x86_64